<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	 xmlns:p="http://primefaces.org/ui"

	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:b="http://bootsfaces.net/ui">
		<html>
	  <h:head>  
<link type="text/css" href="assets/libs/bootstrap/css/bootstrap.css" rel="stylesheet"/>
    </h:head>
	<body>
		<div id="Menu">
		<ui:include src="/HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		
		 <div class="col-md-offset-3">
		 <center><h1><STRONG>Leaves HR</STRONG></h1></center>
		  <ui:fragment>
<div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2><strong>Leaves</strong> Requests</h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="data-table-toolbar">
								
			
									<div class="row">
										<div class="col-md-4">
										
											
											<h:outputText value="Date of Leave : " />
											<h:form>
											<p:calendar id="german" event="change" value="#{leavesBean.dd}" />
											<h:outputText value="&#160;" />
											<h:commandButton styleClass="btn btn-success" class="btn btn-yellow-1" action="#{leavesBean.filter()}" value="Search" ></h:commandButton>
									
											</h:form>
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											<h:form>
											<h:commandLink action="/LeavesPageHR?faces-redirect=true" value="Update" styleClass="btn btn-flickr"><i class="fa fa-refresh"></i></h:commandLink>
											</h:form>
											</div>
										</div>
									</div>
								</div>
									
								<div class="table-responsive">
								<h:form>
								<h:dataTable value="#{leavesBean.leavesHr}" class="table table-hover table-striped" var="e" 
				rendered="#{leavesBean.showUpdate}">
									
				<h:column id="c0">
					<f:facet name="header">
						<h:outputText value="Name EMployee" />
					</f:facet>
					<h:outputText value="#{e.employee.familyName}" />
					<h:outputText value="&#160;" />
					<h:outputText value="#{e.employee.name}" />
					
				</h:column>						
				<h:column id="c1">
					<f:facet name="header">
						<h:outputText value="date From" />
					</f:facet>
					<h:outputText value="#{e.fromDate}" />
					
				</h:column>
				<h:column id="c2">
					<f:facet name="header">
						<h:outputText value="Date To" />
					</f:facet>
					<h:outputText value="#{e.toDate}" />
					
				</h:column>
				
				<h:column id="c3">
					<f:facet name="header">
						<h:outputText value="Justifed"  />
					</f:facet>
					 
					<h:outputText value="Confirmed" class="label label-success" rendered="#{e.approved}" />
					<h:outputText value="No Confirmed" class="label label-danger" rendered="#{!e.approved}" />
				</h:column>
				<h:column id="c4">
					<f:facet name="header">
						<h:outputText value="Description"  />
					</f:facet>
		
					<h:outputText value="#{e.description}"  />
				</h:column>
				<h:column id="c5">
					<f:facet name="header">
						<h:outputText value="Option" />
					</f:facet>
					
    					
					
                	<h:commandButton  styleClass="btn btn-success disabled" action="#{leavesBean.ConfirmLeave(e)}"  rendered="#{e.approved}"  value="Confirm">
                	</h:commandButton>
                	
                 
                   
                  
					<h:commandButton  styleClass="btn btn-success" action="#{leavesBean.ConfirmLeave(e)}" rendered="#{!e.approved}"   value="Confirm">
					</h:commandButton>
					<h:outputText value="&#160;" />
						
					
					
				</h:column>
				
									</h:dataTable>
									</h:form>
								</div>
									
								
							</div>
						</div>
					</div>
						
				</div>
</ui:fragment>
				  
		<h:form>
		
             
  
		
				

			
			</h:form>
			</div></div>
</div>

<ui:repeat value="#{leavesBean.leaves}" var="e"> 
	
<p:dialog header="Modal Dialog" widgetVar="#{e.id}" modal="true" height="150">
	<strong>
    <h:outputText   value="you will confirm the leave request of :" /></strong><br></br>
    <strong><h:outputText  value="Employee :" /></strong>
    <h:outputText   value="#{e.employee.familyName}" />
      <h:outputText   value="#{e.employee.name}" />
    <br></br>
    <strong><h:outputText  value="Begin :" /></strong>
    <h:outputText   value="#{e.fromDate}" /><br></br>
    <strong><h:outputText value="To :  " /></strong>
     <h:outputText  value="#{e.toDate} " /><br></br>
    <h:outputText  /><br></br>
    <h:form>
    <br></br><br></br>
     <h:commandButton  class="btn btn-red-1"  value="Delete" /> 
    </h:form>

</p:dialog>  
</ui:repeat> 
</body>
	
</html>
</ui:composition>


